[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

ftpd from 2.3 tree query



hi,

a few weeks back there was an advisory on the way setproctitle() was used in
/usr/libexec/ftpd.

i tried to manually patch the source (it was easy enough, or so i
thought); after i recompiled, 'ls' wouldn't work.

since i am running 2.3 the patch which appeared (somewhere) didn't work.

i am wondering; since i can't upgrade to 2.7 or -current while i am remote
(if i can, someone please point me to the right place), what is the best
way to patch it?

is the 2.3 tree in the repository patched up? (sorry, this was probably a
faq).

thanks for your time,

-me